---@meta posix.sched

---@class posix_sched*
---@field version string
---@field SCHED_FIFO integer
---@field SCHED_RR integer
---@field SCHED_OTHER integer
---@type posix_sched*
local M = {}

---@param pid integer
---@return integer? policy
---@return string? errMsg
---@return integer? errno
function M.sched_getscheduler(pid) end

---@param pid integer
---@param policy integer
---@return integer? ok
---@return string? errMsg
---@return integer? errno
function M.sched_setscheduler(pid, policy) end

return M
